import { http } from '@/utils/http/axios';

/**
 * @description: 短信日志列表
 */
export function getSmsLogList(params?) {
  return http.request({
    url: '/sms/log/page',
    method: 'GET',
    params,
  });
}

/**
 * @description: 根据ID获取详情
 */
export function getSmsLogDetail(id) {
  return http.request({
    url: '/sms/log/detail/' + id,
    method: 'get',
  });
}

/**
 * @description: 删除登录日志
 */
export function smsLogDelete(id) {
  return http.request({
    url: '/sms/log/delete/' + id,
    method: 'DELETE',
  });
}

/**
 * @description: 批量删除登录日志
 */
export function smsLogBatchDelete(data: any) {
  return http.request({
    url: '/sms/log/batchDelete',
    method: 'DELETE',
    data,
  });
}
